Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229921 - XFS lockdep trace.
Summary: XFS lockdep trace.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FCMETA_LOCKDEP
TreeView+ depends on / blocked
 
Reported: 2007-02-24 13:33 UTC by Jochen Schlick
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-31 16:23:27 UTC


Attachments (Terms of Use)

Description Jochen Schlick 2007-02-24 13:33:50 UTC
Description of problem:



Version-Release number of selected component (if applicable):


How reproducible:
everytime
Steps to Reproduce:
simple boot, when root filesystem is xfs
  
Actual results:

from /var/log/messages:


Feb 24 05:00:46 passaun syslogd 1.4.1: restart.
Feb 24 05:00:46 passaun kernel: klogd 1.4.1, log source = /proc/kmsg started.
Feb 24 05:00:46 passaun kernel: Linux version 2.6.20-1.2940.fc7
(brewbuilder@hs20-bc2-4.build.redhat.c
om) (gcc version 4.1.2 20070220 (Red Hat 4.1.2-2)) #1 SMP Thu Feb 22 13:11:42
EST 2007
Feb 24 05:00:46 passaun kernel: BIOS-provided physical RAM map:
Feb 24 05:00:46 passaun kernel: sanitize start
Feb 24 05:00:46 passaun kernel: sanitize end
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 0000000000000000 size:
000000000009fc00 end: 00
0000000009fc00 type: 1
Feb 24 05:00:46 passaun kernel: copy_e820_map() type is E820_RAM
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 000000000009fc00 size:
0000000000000400 end: 00
000000000a0000 type: 2
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 00000000000e8000 size:
0000000000018000 end: 00
00000000100000 type: 2
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 0000000000100000 size:
0000000037eb0000 end: 00
00000037fb0000 type: 1
Feb 24 05:00:46 passaun kernel: copy_e820_map() type is E820_RAM
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 0000000037fb0000 size:
0000000000010000 end: 00
00000037fc0000 type: 3
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 0000000037fc0000 size:
0000000000030000 end: 00
00000037ff0000 type: 4
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 0000000037ff0000 size:
0000000000010000 end: 00
00000038000000 type: 2
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 00000000fec00000 size:
0000000000001000 end: 00
000000fec01000 type: 2
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 00000000fee00000 size:
0000000000100000 end: 00
000000fef00000 type: 2
Feb 24 05:00:46 passaun kernel: copy_e820_map() start: 00000000ff380000 size:
0000000000c80000 end: 00
00000100000000 type: 2
Feb 24 05:00:46 passaun kernel:  BIOS-e820: 0000000000000000 - 000000000009fc00
(usable)
Feb 24 05:00:46 passaun kernel:  BIOS-e820: 000000000009fc00 - 00000000000a0000
(reserved)
Feb 24 05:00:46 passaun kernel:  BIOS-e820: 00000000000e8000 - 0000000000100000
(reserved)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 0000000000100000 - 0000000037fb0000
(usable)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 0000000037fb0000 - 0000000037fc0000
(ACPI data)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 0000000037fc0000 - 0000000037ff0000
(ACPI NVS)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 0000000037ff0000 - 0000000038000000
(reserved)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 00000000fec00000 - 00000000fec01000
(reserved)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 00000000fee00000 - 00000000fef00000
(reserved)
Feb 24 05:00:47 passaun kernel:  BIOS-e820: 00000000ff380000 - 0000000100000000
(reserved)
Feb 24 05:00:47 passaun kernel: 0MB HIGHMEM available.
Feb 24 05:00:47 passaun kernel: 895MB LOWMEM available.
Feb 24 05:00:47 passaun kernel: found SMP MP-table at 000ff780
Feb 24 05:00:47 passaun kernel: Using x86 segment limits to approximate NX
protection
Feb 24 05:00:47 passaun kernel: Zone PFN ranges:
Feb 24 05:00:47 passaun kernel:   DMA             0 ->     4096
Feb 24 05:00:47 passaun kernel:   Normal       4096 ->   229296
Feb 24 05:00:47 passaun kernel:   HighMem    229296 ->   229296
Feb 24 05:00:47 passaun kernel: early_node_map[1] active PFN ranges
Feb 24 05:00:47 passaun kernel:     0:        0 ->   229296
Feb 24 05:00:47 passaun rpc.statd[2071]: Version 1.0.10 Starting
Feb 24 05:00:47 passaun kernel: DMI present.
Feb 24 05:00:47 passaun kernel: Using APIC driver default
Feb 24 05:00:48 passaun kernel: ACPI: RSDP 000FA870, 0014 (r0 ACPIAM)
Feb 24 05:00:48 passaun kernel: ACPI: RSDT 37FB0000, 003C (r1 A_M_I  OEMRSDT  
2000706 MSFT       97)
Feb 24 05:00:48 passaun kernel: ACPI: FACP 37FB0200, 0084 (r2 A_M_I  OEMFACP 
12000601 MSFT       97)
Feb 24 05:00:48 passaun kernel: ACPI: DSDT 37FB0440, 4BE8 (r1  AM2N6 AM2N6191  
   191 INTL 20051117)
Feb 24 05:00:48 passaun kernel: ACPI: FACS 37FC0000, 0040
Feb 24 05:00:48 passaun kernel: ACPI: APIC 37FB0390, 0070 (r1 A_M_I  OEMAPIC  
2000706 MSFT       97)
Feb 24 05:00:48 passaun kernel: ACPI: MCFG 37FB0400, 003C (r1 A_M_I  OEMMCFG  
2000706 MSFT       97)
Feb 24 05:00:48 passaun kernel: ACPI: OEMB 37FC0040, 0060 (r1 A_M_I  AMI_OEM  
2000706 MSFT       97)
Feb 24 05:00:48 passaun kernel: ACPI: HPET 37FB5030, 0038 (r1 A_M_I  OEMHPET0 
2000706 MSFT       97)
Feb 24 05:00:48 passaun kernel: ACPI: SSDT 37FB5070, 01C4 (r1 A M I  POWERNOW  
     1 AMD         1)
Feb 24 05:00:48 passaun kernel: ACPI: PM-Timer IO Port: 0x4008
Feb 24 05:00:48 passaun rpc.statd[2071]: statd running as root. chown
/var/lib/nfs/statd/sm to choose
different user
Feb 24 05:00:48 passaun kernel: ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Feb 24 05:00:48 passaun kernel: Processor #0 15:11 APIC version 16
Feb 24 05:00:48 passaun kernel: ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Feb 24 05:00:48 passaun kernel: Processor #1 15:11 APIC version 16
Feb 24 05:00:48 passaun kernel: ACPI: IOAPIC (id[0x02] address[0xfec00000]
gsi_base[0])
Feb 24 05:00:48 passaun audispd: starting audispd
Feb 24 05:00:48 passaun kernel: IOAPIC[0]: apic_id 2, version 17, address
0xfec00000, GSI 0-23
Feb 24 05:00:48 passaun kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2
dfl dfl)
Feb 24 05:00:48 passaun kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9
high level)
Feb 24 05:00:48 passaun kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 14 global_irq
14 high edge)
Feb 24 05:00:48 passaun kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 15 global_irq
15 high edge)
Feb 24 05:00:48 passaun kernel: Enabling APIC mode:  Flat.  Using 1 I/O APICs
Feb 24 05:00:48 passaun kernel: ACPI: HPET id: 0x10de8201 base: 0xfed00000
Feb 24 05:00:48 passaun kernel: Using ACPI (MADT) for SMP configuration information
Feb 24 05:00:48 passaun kernel: Allocating PCI resources starting at 40000000
(gap: 38000000:c6c00000)
Feb 24 05:00:48 passaun kernel: Detected 2009.144 MHz processor.
Feb 24 05:00:48 passaun kernel: Built 1 zonelists.  Total pages: 226386
Feb 24 05:00:48 passaun kernel: Kernel command line: ro selinux=0
root=LABEL=ROOTFEDORA32 splash=silen
t vga=0x31a
Feb 24 05:00:48 passaun kernel: Enabling fast FPU save and restore... done.
Feb 24 05:00:48 passaun kernel: Enabling unmasked SIMD FPU exception support...
done.
Feb 24 05:00:48 passaun kernel: Initializing CPU#0
Feb 24 05:00:48 passaun kernel: CPU 0 irqstacks, hard=c079e000 soft=c077e000
Feb 24 05:00:48 passaun kernel: PID hash table entries: 4096 (order: 12, 16384
bytes)
Feb 24 05:00:48 passaun kernel: Console: colour dummy device 80x25
Feb 24 05:00:49 passaun kernel: Lock dependency validator: Copyright (c) 2006
Red Hat, Inc., Ingo Moln
ar
Feb 24 05:00:49 passaun kernel: ... MAX_LOCKDEP_SUBCLASSES:    8
Feb 24 05:00:49 passaun kernel: ... MAX_LOCK_DEPTH:          30
Feb 24 05:00:49 passaun kernel: ... MAX_LOCKDEP_KEYS:        2048
Feb 24 05:00:49 passaun kernel: ... CLASSHASH_SIZE:           1024
Feb 24 05:00:49 passaun kernel: ... MAX_LOCKDEP_ENTRIES:     8192
Feb 24 05:00:49 passaun kernel: ... MAX_LOCKDEP_CHAINS:      16384
Feb 24 05:00:49 passaun kernel: ... CHAINHASH_SIZE:          8192
Feb 24 05:00:49 passaun kernel:  memory used by lock dependency info: 1096 kB
Feb 24 05:00:49 passaun kernel:  per task-struct memory footprint: 1200 bytes
Feb 24 05:00:49 passaun kernel: Dentry cache hash table entries: 131072 (order:
7, 524288 bytes)
Feb 24 05:00:49 passaun kernel: Inode-cache hash table entries: 65536 (order: 6,
262144 bytes)
Feb 24 05:00:49 passaun kernel: Memory: 894500k/917184k available (2148k kernel
code, 21972k reserved,
 1138k data, 248k init, 0k highmem)
Feb 24 05:00:49 passaun kernel: virtual kernel memory layout:
Feb 24 05:00:49 passaun kernel:     fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
Feb 24 05:00:49 passaun kernel:     pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
Feb 24 05:00:49 passaun kernel:     vmalloc : 0xf8800000 - 0xff7fe000   ( 111 MB)
Feb 24 05:00:49 passaun kernel:     lowmem  : 0xc0000000 - 0xf7fb0000   ( 895 MB)
Feb 24 05:00:49 passaun kernel:       .init : 0xc073b000 - 0xc0779000   ( 248 kB)
Feb 24 05:00:49 passaun kernel:       .data : 0xc06190f1 - 0xc0735cb4   (1138 kB)
Feb 24 05:00:49 passaun kernel:       .text : 0xc0400000 - 0xc06190f1   (2148 kB)
Feb 24 05:00:49 passaun kernel: Checking if this processor honours the WP bit
even in supervisor mode.
.. Ok.
Feb 24 05:00:49 passaun kernel: hpet0: at MMIO 0xfed00000, IRQs 2, 8, 31
Feb 24 05:00:49 passaun kernel: hpet0: 3 32-bit timers, 25000000 Hz
Feb 24 05:00:49 passaun kernel: Calibrating delay using timer specific routine..
4021.80 BogoMIPS (lpj
=2010903)
Feb 24 05:00:49 passaun kernel: Security Framework v1.0.0 initialized
Feb 24 05:00:49 passaun kernel: SELinux:  Disabled at boot.
Feb 24 05:00:49 passaun kernel: Capability LSM initialized
Feb 24 05:00:49 passaun kernel: Mount-cache hash table entries: 512
Feb 24 05:00:49 passaun kernel: CPU: L1 I Cache: 64K (64 bytes/line), D cache
64K (64 bytes/line)
Feb 24 05:00:49 passaun kernel: CPU: L2 Cache: 512K (64 bytes/line)
Feb 24 05:00:50 passaun kernel: CPU 0(2) -> Core 0
Feb 24 05:00:50 passaun hcid[2160]: Bluetooth HCI daemon
Feb 24 05:00:50 passaun sdpd[2164]: Bluetooth SDP daemon
Feb 24 05:00:50 passaun kernel: Intel machine check architecture supported.
Feb 24 05:00:50 passaun sdpd[2164]: Starting SDP server
Feb 24 05:00:50 passaun kernel: Intel machine check reporting enabled on CPU#0.
Feb 24 05:00:50 passaun kernel: Checking 'hlt' instruction... OK.
Feb 24 05:00:50 passaun kernel: lockdep: not fixing up alternatives.
Feb 24 05:00:50 passaun kernel: ACPI: Core revision 20070126
Feb 24 05:00:50 passaun kernel: CPU0: AMD Athlon(tm) 64 X2 Dual Core Processor
3800+ stepping 02
Feb 24 05:00:50 passaun kernel: lockdep: not fixing up alternatives.
Feb 24 05:00:50 passaun input[2189]: Bluetooth Input daemon
Feb 24 05:00:50 passaun kernel: Booting processor 1/1 eip 3000
Feb 24 05:00:50 passaun input[2189]: Registered input manager path:/org/bluez/input
Feb 24 05:00:50 passaun kernel: CPU 1 irqstacks, hard=c079f000 soft=c077f000
Feb 24 05:00:50 passaun input[2189]: Bluetooth device not available
Feb 24 05:00:50 passaun kernel: Initializing CPU#1
Feb 24 05:00:50 passaun input[2189]: Unable to get on D-Bus
Feb 24 05:00:50 passaun kernel: Calibrating delay using timer specific routine..
4018.21 BogoMIPS (lpj
=2009109)
Feb 24 05:00:50 passaun kernel: CPU: L1 I Cache: 64K (64 bytes/line), D cache
64K (64 bytes/line)
Feb 24 05:00:50 passaun kernel: CPU: L2 Cache: 512K (64 bytes/line)
Feb 24 05:00:50 passaun kernel: CPU 1(2) -> Core 1
Feb 24 05:00:50 passaun kernel: Intel machine check architecture supported.
Feb 24 05:00:50 passaun kernel: Intel machine check reporting enabled on CPU#1.
Feb 24 05:00:50 passaun kernel: CPU1: AMD Athlon(tm) 64 X2 Dual Core Processor
3800+ stepping 02
Feb 24 05:00:50 passaun kernel: Total of 2 processors activated (8040.02 BogoMIPS).
Feb 24 05:00:50 passaun kernel: ENABLING IO-APIC IRQs
Feb 24 05:00:50 passaun kernel: ..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
Feb 24 05:00:51 passaun kernel: Brought up 2 CPUs
Feb 24 05:00:51 passaun pcscd: pcscdaemon.c:533:main() pcsc-lite 1.3.3 daemon ready.
Feb 24 05:00:51 passaun kernel: migration_cost=212
Feb 24 05:00:51 passaun kernel: NET: Registered protocol family 16
Feb 24 05:00:51 passaun kernel: ACPI: bus type pci registered
Feb 24 05:00:51 passaun kernel: PCI: BIOS Bug: MCFG area at e0000000 is not
E820-reserved
Feb 24 05:00:51 passaun kernel: PCI: Not using MMCONFIG.
Feb 24 05:00:51 passaun kernel: PCI: PCI BIOS revision 3.00 entry at 0xf0031,
last bus=4
Feb 24 05:00:51 passaun kernel: PCI: Using configuration type 1
Feb 24 05:00:51 passaun kernel: Setting up standard PCI resources
Feb 24 05:00:51 passaun kernel: ACPI: Interpreter enabled
Feb 24 05:00:51 passaun kernel: ACPI: (supports S0 S1 S3 S4 S5)
Feb 24 05:00:51 passaun kernel: ACPI: Using IOAPIC for interrupt routing
Feb 24 05:00:51 passaun kernel: Error attaching device data
Feb 24 05:00:51 passaun kernel: Error attaching device data
Feb 24 05:00:51 passaun kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Feb 24 05:00:51 passaun hidd[2267]: Bluetooth HID daemon
Feb 24 05:00:51 passaun kernel: PCI: Transparent bridge - 0000:00:04.0
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNEA] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNEB] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNEC] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LNED] (IRQs 16 17 18
19) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LUB0] (IRQs 20 21 22
23) *5
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LUB2] (IRQs 20 21 22
23) *10
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LMAC] (IRQs 20 21 22
23) *5
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LAZA] (IRQs 20 21 22
23) *11
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LACI] (IRQs 20 21 22
23) *0, disabled.
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LMC9] (IRQs 20 21 22
23) *10
Feb 24 05:00:51 passaun kernel: ACPI: PCI Interrupt Link [LSMB] (IRQs 20 21 22
23) *11
Feb 24 05:00:52 passaun kernel: ACPI: PCI Interrupt Link [LPMU] (IRQs 20 21 22
23) *0, disabled.
Feb 24 05:00:52 passaun kernel: ACPI: PCI Interrupt Link [LSA0] (IRQs 20 21 22
23) *10
Feb 24 05:00:52 passaun kernel: ACPI: PCI Interrupt Link [LSA1] (IRQs 20 21 22
23) *0, disabled.
Feb 24 05:00:52 passaun kernel: ACPI: PCI Interrupt Link [LATA] (IRQs 20 21 22
23) *0, disabled.
Feb 24 05:00:52 passaun kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Feb 24 05:00:52 passaun kernel: pnp: PnP ACPI init
Feb 24 05:00:52 passaun kernel: pnp: PnP ACPI: found 15 devices
Feb 24 05:00:52 passaun kernel: usbcore: registered new interface driver usbfs
Feb 24 05:00:52 passaun automount[2293]: lookup_read_master: lookup(nisplus):
couldn't locat nis+ tabl
e auto.master
Feb 24 05:00:52 passaun kernel: usbcore: registered new interface driver hub
Feb 24 05:00:52 passaun kernel: usbcore: registered new device driver usb
Feb 24 05:00:52 passaun kernel: PCI: Using ACPI for IRQ routing
Feb 24 05:00:52 passaun kernel: PCI: If a device doesn't work, try
"pci=routeirq".  If it helps, post
a report
Feb 24 05:00:52 passaun kernel: NetLabel: Initializing
Feb 24 05:00:52 passaun kernel: NetLabel:  domain hash size = 128
Feb 24 05:00:52 passaun kernel: NetLabel:  protocols = UNLABELED CIPSOv4
Feb 24 05:00:52 passaun kernel: NetLabel:  unlabeled traffic allowed by default
Feb 24 05:00:52 passaun kernel: pnp: 00:06: iomem range 0x0-0x0 could not be
reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:06: iomem range 0xfefe0000-0xfefe01ff
has been reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:06: iomem range 0xfefe1000-0xfefe1fff
has been reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:06: iomem range 0xfee01000-0xfeefffff
has been reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:08: iomem range 0xfec00000-0xfec00fff
has been reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:08: iomem range 0xfee00000-0xfee00fff
has been reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:0c: ioport range 0x290-0x29f has been
reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:0d: iomem range 0xe0000000-0xefffffff
has been reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:0e: iomem range 0x0-0x9ffff could not be
reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:0e: iomem range 0xc0000-0xcffff could
not be reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:0e: iomem range 0xe0000-0xfffff could
not be reserved
Feb 24 05:00:52 passaun kernel: pnp: 00:0e: iomem range 0x100000-0x3fffffff
could not be reserved
Feb 24 05:00:52 passaun kernel: PCI: Bridge: 0000:00:04.0
Feb 24 05:00:52 passaun kernel:   IO window: disabled.
Feb 24 05:00:52 passaun kernel:   MEM window: disabled.
Feb 24 05:00:52 passaun kernel:   PREFETCH window: disabled.
Feb 24 05:00:52 passaun kernel: PCI: Bridge: 0000:00:09.0
Feb 24 05:00:52 passaun kernel:   IO window: disabled.
Feb 24 05:00:52 passaun kernel:   MEM window: disabled.
Feb 24 05:00:52 passaun kernel:   PREFETCH window: disabled.
Feb 24 05:00:52 passaun kernel: PCI: Bridge: 0000:00:0b.0
Feb 24 05:00:52 passaun kernel:   IO window: disabled.
Feb 24 05:00:53 passaun kernel:   MEM window: disabled.
Feb 24 05:00:53 passaun kernel:   PREFETCH window: disabled.
Feb 24 05:00:53 passaun kernel: PCI: Bridge: 0000:00:0c.0
Feb 24 05:00:53 passaun kernel:   IO window: disabled.
Feb 24 05:00:53 passaun kernel:   MEM window: disabled.
Feb 24 05:00:53 passaun kernel:   PREFETCH window: disabled.
Feb 24 05:00:53 passaun kernel: NET: Registered protocol family 2
Feb 24 05:00:53 passaun kernel: IP route cache hash table entries: 32768 (order:
5, 131072 bytes)
Feb 24 05:00:53 passaun kernel: TCP established hash table entries: 65536
(order: 9, 2359296 bytes)
Feb 24 05:00:53 passaun kernel: TCP bind hash table entries: 65536 (order: 9,
2097152 bytes)
Feb 24 05:00:53 passaun kernel: TCP: Hash tables configured (established 65536
bind 65536)
Feb 24 05:00:53 passaun kernel: TCP reno registered
Feb 24 05:00:53 passaun kernel: checking if image is initramfs... it is
Feb 24 05:00:53 passaun kernel: Freeing initrd memory: 2932k freed
Feb 24 05:00:53 passaun kernel: apm: BIOS version 1.2 Flags 0x02 (Driver version
1.16ac)
Feb 24 05:00:53 passaun kernel: apm: disabled - APM is not SMP safe.
Feb 24 05:00:53 passaun kernel: audit: initializing netlink socket (disabled)
Feb 24 05:00:53 passaun kernel: audit(1172293218.499:1): initialized
Feb 24 05:00:53 passaun kernel: Total HugeTLB memory allocated, 0
Feb 24 05:00:53 passaun kernel: VFS: Disk quotas dquot_6.5.1
Feb 24 05:00:53 passaun hpiod: 1.7.1 accepting connections at 2208...
Feb 24 05:00:53 passaun kernel: Dquot-cache hash table entries: 1024 (order 0,
4096 bytes)
Feb 24 05:00:53 passaun kernel: ksign: Installing public key data
Feb 24 05:00:53 passaun kernel: Loading keyring
Feb 24 05:00:53 passaun kernel: - Added public key 50FF7A121872AA0A
Feb 24 05:00:53 passaun kernel: - User ID: Red Hat, Inc. (Kernel Module GPG key)
Feb 24 05:00:53 passaun kernel: io scheduler noop registered
Feb 24 05:00:53 passaun kernel: io scheduler anticipatory registered
Feb 24 05:00:53 passaun kernel: io scheduler deadline registered
Feb 24 05:00:54 passaun kernel: io scheduler cfq registered (default)
Feb 24 05:00:54 passaun kernel: assign_interrupt_mode Found MSI capability
Feb 24 05:00:54 passaun last message repeated 2 times
Feb 24 05:00:54 passaun kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Feb 24 05:00:54 passaun kernel: vesafb: framebuffer at 0xc0000000, mapped to
0xf8880000, using 5120k,
total 131072k
Feb 24 05:00:54 passaun kernel: vesafb: mode is 1280x1024x16, linelength=2560,
pages=1
Feb 24 05:00:54 passaun kernel: vesafb: protected mode interface info at c000:d030
Feb 24 05:00:54 passaun kernel: vesafb: pmi: set display start = c00cd066, set
palette = c00cd0d0
Feb 24 05:00:54 passaun kernel: vesafb: pmi: ports = 3b4 3b5 3ba 3c0 3c1 3c4 3c5
3c6 3c7 3c8 3c9 3cc 3
ce 3cf 3d0 3d1 3d2 3d3 3d4 3d5 3da
Feb 24 05:00:54 passaun kernel: vesafb: scrolling: redraw
Feb 24 05:00:54 passaun kernel: vesafb: Truecolor: size=0:5:6:5, shift=0:11:5:0
Feb 24 05:00:54 passaun kernel: Console: switching to colour frame buffer device
160x64
Feb 24 05:00:54 passaun kernel: fb0: VESA VGA frame buffer device
Feb 24 05:00:54 passaun kernel: isapnp: Scanning for PnP cards...
Feb 24 05:00:54 passaun kernel: isapnp: No Plug & Play device found
Feb 24 05:00:54 passaun kernel: Real Time Clock Driver v1.12ac
Feb 24 05:00:54 passaun kernel: Non-volatile memory driver v1.2
Feb 24 05:00:54 passaun kernel: Linux agpgart interface v0.102 (c) Dave Jones
Feb 24 05:00:54 passaun kernel: Serial: 8250/16550 driver $Revision: 1.90 $ 4
ports, IRQ sharing enabl
ed
Feb 24 05:00:54 passaun kernel: serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Feb 24 05:00:54 passaun kernel: 00:0b: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Feb 24 05:00:54 passaun kernel: RAMDISK driver initialized: 16 RAM disks of
16384K size 4096 blocksize
Feb 24 05:00:54 passaun kernel: input: Macintosh mouse button emulation as
/class/input/input0
Feb 24 05:00:54 passaun kernel: usbcore: registered new interface driver libusual
Feb 24 05:00:54 passaun kernel: usbcore: registered new interface driver hiddev
Feb 24 05:00:54 passaun kernel: usbcore: registered new interface driver usbhid
Feb 24 05:00:54 passaun kernel: drivers/usb/input/hid-core.c: v2.6:USB HID core
driver
Feb 24 05:00:54 passaun kernel: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M]
at 0x60,0x64 irq 1,12
Feb 24 05:00:54 passaun kernel: serio: i8042 KBD port at 0x60,0x64 irq 1
Feb 24 05:00:54 passaun kernel: serio: i8042 AUX port at 0x60,0x64 irq 12
Feb 24 05:00:54 passaun kernel: mice: PS/2 mouse device common for all mice
Feb 24 05:00:54 passaun kernel: input: AT Translated Set 2 keyboard as
/class/input/input1
Feb 24 05:00:54 passaun kernel: TCP bic registered
Feb 24 05:00:54 passaun kernel: Initializing XFRM netlink socket
Feb 24 05:00:54 passaun kernel: NET: Registered protocol family 1
Feb 24 05:00:54 passaun kernel: NET: Registered protocol family 17
Feb 24 05:00:55 passaun kernel: powernow-k8: Found 2 AMD Athlon(tm) 64 X2 Dual
Core Processor 3800+ pr
ocessors (version 2.00.00)
Feb 24 05:00:55 passaun kernel: powernow-k8:    0 : fid 0xc (2000 MHz), vid 0xe
Feb 24 05:00:55 passaun kernel: powernow-k8:    1 : fid 0xa (1800 MHz), vid 0x10
Feb 24 05:00:55 passaun kernel: powernow-k8:    2 : fid 0x2 (1000 MHz), vid 0x12
Feb 24 05:00:55 passaun kernel: Using IPI No-Shortcut mode
Feb 24 05:00:55 passaun kernel: Time: hpet clocksource has been installed.
Feb 24 05:00:55 passaun kernel: Switched to high resolution mode on CPU 0
Feb 24 05:00:55 passaun kernel: Freeing unused kernel memory: 248k freed
Feb 24 05:00:55 passaun kernel: Switched to high resolution mode on CPU 1
Feb 24 05:00:55 passaun kernel: Write protecting the kernel read-only data: 840k
Feb 24 05:00:55 passaun kernel: logips2pp: Detected unknown logitech mouse model 0
Feb 24 05:00:55 passaun kernel: input: ImPS/2 Logitech Wheel Mouse as
/class/input/input2
Feb 24 05:00:55 passaun kernel: USB Universal Host Controller Interface driver v3.0
Feb 24 05:00:55 passaun kernel: ACPI: PCI Interrupt Link [LUB0] enabled at IRQ 23
Feb 24 05:00:55 passaun kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> Link
[LUB0] -> GSI 23 (level, l
ow) -> IRQ 16
Feb 24 05:00:55 passaun kernel: ohci_hcd 0000:00:02.0: OHCI Host Controller
Feb 24 05:00:55 passaun kernel: ohci_hcd 0000:00:02.0: new USB bus registered,
assigned bus number 1
Feb 24 05:00:55 passaun kernel: ohci_hcd 0000:00:02.0: irq 16, io mem 0xdffff000
Feb 24 05:00:55 passaun kernel: usb usb1: configuration #1 chosen from 1 choice
Feb 24 05:00:55 passaun kernel: hub 1-0:1.0: USB hub found
Feb 24 05:00:55 passaun kernel: hub 1-0:1.0: 8 ports detected
Feb 24 05:00:55 passaun kernel: ACPI: PCI Interrupt Link [LUB2] enabled at IRQ 22
Feb 24 05:00:55 passaun kernel: ACPI: PCI Interrupt 0000:00:02.1[B] -> Link
[LUB2] -> GSI 22 (level, l
ow) -> IRQ 17
Feb 24 05:00:55 passaun kernel: ehci_hcd 0000:00:02.1: EHCI Host Controller
Feb 24 05:00:55 passaun kernel: ehci_hcd 0000:00:02.1: new USB bus registered,
assigned bus number 2
Feb 24 05:00:55 passaun kernel: ehci_hcd 0000:00:02.1: debug port 1
Feb 24 05:00:55 passaun kernel: ehci_hcd 0000:00:02.1: irq 17, io mem 0xdfffec00
Feb 24 05:00:55 passaun kernel: ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI
1.00, driver 10 Dec 2004
Feb 24 05:00:55 passaun kernel: usb usb2: configuration #1 chosen from 1 choice
Feb 24 05:00:55 passaun kernel: hub 2-0:1.0: USB hub found
Feb 24 05:00:55 passaun kernel: hub 2-0:1.0: 8 ports detected
Feb 24 05:00:55 passaun kernel: SGI XFS with ACLs, security attributes, large
block numbers, no debug
enabled
Feb 24 05:00:56 passaun kernel: SGI XFS Quota Management subsystem
Feb 24 05:00:56 passaun kernel: SCSI subsystem initialized
Feb 24 05:00:56 passaun kernel: ACPI: PCI Interrupt Link [LSA0] enabled at IRQ 21
Feb 24 05:00:56 passaun kernel: ACPI: PCI Interrupt 0000:00:08.0[A] -> Link
[LSA0] -> GSI 21 (level, l
ow) -> IRQ 18
Feb 24 05:00:56 passaun kernel: ata1: SATA max UDMA/133 cmd 0x00010e00 ctl
0x00010e22 bmdma 0x0001d880
 irq 18
Feb 24 05:00:56 passaun kernel: ata2: SATA max UDMA/133 cmd 0x00010e40 ctl
0x00010e62 bmdma 0x0001d888
 irq 18
Feb 24 05:00:56 passaun kernel: scsi0 : sata_nv
Feb 24 05:00:56 passaun kernel: ata1: SATA link up 3.0 Gbps (SStatus 123
SControl 300)
Feb 24 05:00:56 passaun kernel: ata1.00: ATA-7: SAMSUNG SP2504C, VT100-50, max UDMA7
Feb 24 05:00:56 passaun kernel: ata1.00: 488397168 sectors, multi 16: LBA48 NCQ
(depth 0/32)
Feb 24 05:00:56 passaun kernel: ata1.00: configured for UDMA/133
Feb 24 05:00:56 passaun kernel: scsi1 : sata_nv
Feb 24 05:00:56 passaun kernel: ata2: SATA link down (SStatus 0 SControl 300)
Feb 24 05:00:56 passaun kernel: ATA: abnormal status 0x7F on port 0x00010e47
Feb 24 05:00:56 passaun kernel: scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG
SP2504C  VT10 PQ: 0 A
NSI: 5
Feb 24 05:00:56 passaun kernel: SCSI device sda: 488397168 512-byte hdwr sectors
(250059 MB)
Feb 24 05:00:56 passaun kernel: sda: Write Protect is off
Feb 24 05:00:56 passaun kernel: SCSI device sda: write cache: enabled, read
cache: enabled, doesn't su
pport DPO or FUA
Feb 24 05:00:56 passaun kernel: SCSI device sda: 488397168 512-byte hdwr sectors
(250059 MB)
Feb 24 05:00:56 passaun kernel: sda: Write Protect is off
Feb 24 05:00:56 passaun kernel: SCSI device sda: write cache: enabled, read
cache: enabled, doesn't su
pport DPO or FUA
Feb 24 05:00:56 passaun kernel:  sda: sda1 sda2 < sda5 sda6 sda7 >
Feb 24 05:00:56 passaun kernel: sd 0:0:0:0: Attached scsi disk sda
Feb 24 05:00:56 passaun kernel: XFS mounting filesystem sda6
Feb 24 05:00:56 passaun kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0
Feb 24 05:00:56 passaun kernel: input: PC Speaker as /class/input/input3
Feb 24 05:00:56 passaun kernel: ata3: PATA max UDMA/133 cmd 0x000101f0 ctl
0x000103f6 bmdma 0x0001ffa0
 irq 14
Feb 24 05:00:56 passaun kernel: ata4: PATA max UDMA/133 cmd 0x00010170 ctl
0x00010376 bmdma 0x0001ffa8
 irq 15
Feb 24 05:00:56 passaun kernel: scsi2 : pata_amd
Feb 24 05:00:56 passaun kernel: EDAC MC: Ver: 2.0.1 Feb 22 2007
Feb 24 05:00:56 passaun kernel: rtc_cmos 00:02: rtc core: registered rtc_cmos as
rtc0
Feb 24 05:00:56 passaun kernel: pnp: Device 00:02 does not support disabling.
Feb 24 05:00:57 passaun kernel: rtc_cmos: probe of 00:02 failed with error -16
Feb 24 05:00:57 passaun kernel: forcedeth.c: Reverse Engineered nForce ethernet
driver. Version 0.60.
Feb 24 05:00:57 passaun kernel: parport: PnPBIOS parport detected.
Feb 24 05:00:57 passaun kernel: parport0: PC-style at 0x378 (0x778), irq 7
[PCSPP,TRISTATE]
Feb 24 05:00:57 passaun kernel: ata3.00: ATAPI, max UDMA/33
Feb 24 05:00:57 passaun kernel: ata3.00: configured for UDMA/33
Feb 24 05:00:57 passaun kernel: scsi3 : pata_amd
Feb 24 05:00:57 passaun kernel: ata4: reset failed, giving up
Feb 24 05:00:57 passaun kernel: scsi 2:0:0:0: CD-ROM            TSSTcorp DVD-ROM
SH-D162C TS04 PQ: 0 A
NSI: 5
Feb 24 05:00:57 passaun kernel: scsi 2:0:0:0: Attached scsi generic sg1 type 5
Feb 24 05:00:57 passaun kernel: ACPI: PCI Interrupt Link [LMAC] enabled at IRQ 20
Feb 24 05:00:57 passaun kernel: ACPI: PCI Interrupt 0000:00:07.0[A] -> Link
[LMAC] -> GSI 20 (level, l
ow) -> IRQ 19
Feb 24 05:00:57 passaun kernel: forcedeth: using HIGHDMA
Feb 24 05:00:57 passaun kernel: sr0: scsi3-mmc drive: 48x/48x cd/rw xa/form2
cdda tray
Feb 24 05:00:57 passaun kernel: Uniform CD-ROM driver Revision: 3.20
Feb 24 05:00:57 passaun kernel: eth0: forcedeth.c: subsystem: 01849:03ef bound
to 0000:00:07.0
Feb 24 05:00:57 passaun kernel: EDAC MC0: Giving out device to k8_edac
Athlon64/Opteron: DEV 0000:00:1
8.2
Feb 24 05:00:57 passaun kernel: ACPI: PCI Interrupt Link [LAZA] enabled at IRQ 23
Feb 24 05:00:57 passaun kernel: ACPI: PCI Interrupt 0000:00:05.0[B] -> Link
[LAZA] -> GSI 23 (level, l
ow) -> IRQ 16
Feb 24 05:00:57 passaun kernel: hda_codec: Unknown model for ALC883, trying
auto-probe from BIOS...
Feb 24 05:00:57 passaun kernel: floppy0: no floppy controllers found
Feb 24 05:00:57 passaun kernel: lp0: using parport0 (interrupt-driven).
Feb 24 05:00:57 passaun kernel: lp0: console ready
Feb 24 05:00:57 passaun kernel: sonypi: Sony Programmable I/O Controller Driver
v1.26.
Feb 24 05:00:57 passaun kernel: No dock devices found.
Feb 24 05:00:57 passaun kernel: input: Power Button (FF) as /class/input/input4
Feb 24 05:00:57 passaun kernel: ACPI: Power Button (FF) [PWRF]
Feb 24 05:00:57 passaun kernel: input: Power Button (CM) as /class/input/input5
Feb 24 05:00:57 passaun kernel: ACPI: Power Button (CM) [PWRB]
Feb 24 05:00:57 passaun kernel: ibm_acpi: ec object not found
Feb 24 05:00:57 passaun kernel: md: Autodetecting RAID arrays.
Feb 24 05:00:57 passaun kernel: md: autorun ...
Feb 24 05:00:57 passaun kernel: md: ... autorun DONE.
Feb 24 05:00:57 passaun kernel: device-mapper: ioctl: 4.11.0-ioctl (2006-10-12)
initialised: dm-devel@
redhat.com
Feb 24 05:00:57 passaun kernel: device-mapper: multipath: version 1.0.5 loaded
Feb 24 05:00:57 passaun kernel:
Feb 24 05:00:57 passaun kernel: =============================================
Feb 24 05:00:57 passaun kernel: [ INFO: possible recursive locking detected ]
Feb 24 05:00:58 passaun kernel: 2.6.20-1.2940.fc7 #1
Feb 24 05:00:58 passaun kernel: ---------------------------------------------
Feb 24 05:00:58 passaun kernel: mount/1348 is trying to acquire lock:
Feb 24 05:00:58 passaun kernel:  (&(&ip->i_lock)->mr_lock){----}, at:
[<f8e3de79>] xfs_ilock+0x4a/0x68
 [xfs]
Feb 24 05:00:58 passaun kernel:
Feb 24 05:00:58 passaun kernel: but task is already holding lock:
Feb 24 05:00:58 passaun kernel:  (&(&ip->i_lock)->mr_lock){----}, at:
[<f8e3de79>] xfs_ilock+0x4a/0x68
 [xfs]
Feb 24 05:00:58 passaun kernel:
Feb 24 05:00:58 passaun kernel: other info that might help us debug this:
Feb 24 05:00:58 passaun kernel: 2 locks held by mount/1348:
Feb 24 05:00:58 passaun kernel:  #0:  (&inode->i_mutex){--..}, at: [<c0614649>]
mutex_lock+0x21/0x24
Feb 24 05:00:58 passaun kernel:  #1:  (&(&ip->i_lock)->mr_lock){----}, at:
[<f8e3de79>] xfs_ilock+0x4a
/0x68 [xfs]
Feb 24 05:00:58 passaun ntpd[2392]: ntpd 4.2.4@1.1437-o Mon Jan 29 13:39:16 UTC
2007 (1)
Feb 24 05:00:58 passaun kernel:
Feb 24 05:00:58 passaun kernel: stack backtrace:
Feb 24 05:00:58 passaun kernel:  [<c04062a5>] show_trace_log_lvl+0x1a/0x2f
Feb 24 05:00:58 passaun ntpd[2393]: precision = 1.000 usec
Feb 24 05:00:58 passaun kernel:  [<c0406869>] show_trace+0x12/0x14
Feb 24 05:00:58 passaun kernel:  [<c04068ed>] dump_stack+0x16/0x18
Feb 24 05:00:58 passaun ntpd[2393]: Listening on interface #0 wildcard,
0.0.0.0#123 Disabled
Feb 24 05:00:58 passaun kernel:  [<c0443117>] __lock_acquire+0x11f/0xba4
Feb 24 05:00:58 passaun ntpd[2393]: Listening on interface #1 wildcard, ::#123
Disabled
Feb 24 05:00:58 passaun kernel:  [<c0443f8e>] lock_acquire+0x56/0x6f
Feb 24 05:00:58 passaun ntpd[2393]: Listening on interface #2 lo, ::1#123 Enabled
Feb 24 05:00:58 passaun kernel:  [<c043c81f>] down_write+0x3f/0x59
Feb 24 05:00:58 passaun ntpd[2393]: Listening on interface #3 eth0,
fe80::213:8fff:fece:b32#123 Enable
d
Feb 24 05:00:58 passaun kernel:  [<f8e3de79>] xfs_ilock+0x4a/0x68 [xfs]
Feb 24 05:00:58 passaun ntpd[2393]: Listening on interface #4 lo, 127.0.0.1#123
Enabled
Feb 24 05:00:58 passaun kernel:  [<f8e3e75d>] xfs_iget_core+0x294/0x5d6 [xfs]
Feb 24 05:00:58 passaun ntpd[2393]: Listening on interface #5 eth0,
192.168.200.21#123 Enabled
Feb 24 05:00:59 passaun kernel:  [<f8e3eb33>] xfs_iget+0x94/0x119 [xfs]
Feb 24 05:00:59 passaun ntpd[2393]: kernel time sync status 0040
Feb 24 05:00:59 passaun kernel:  [<f8e558d6>] xfs_trans_iget+0xd6/0x134 [xfs]
Feb 24 05:00:59 passaun kernel:  [<f8e422f4>] xfs_ialloc+0xa7/0x41f [xfs]
Feb 24 05:00:59 passaun kernel:  [<f8e56276>] xfs_dir_ialloc+0x6d/0x25f [xfs]
Feb 24 05:00:59 passaun kernel:  [<f8e5bcec>] xfs_create+0x2f7/0x5ad [xfs]
Feb 24 05:00:59 passaun kernel:  [<f8e65aa4>] xfs_vn_mknod+0x18e/0x2b4 [xfs]
Feb 24 05:00:59 passaun kernel:  [<f8e65bf3>] xfs_vn_create+0x12/0x14 [xfs]
Feb 24 05:00:59 passaun kernel:  [<c04859e8>] vfs_create+0xcd/0x13e
Feb 24 05:00:59 passaun kernel:  [<c048834d>] open_namei+0x176/0x5b5
Feb 24 05:00:59 passaun kernel:  [<c047d86f>] do_filp_open+0x26/0x3b
Feb 24 05:00:59 passaun kernel:  [<c047d8c7>] do_sys_open+0x43/0xc2
Feb 24 05:00:59 passaun kernel:  [<c047d97e>] sys_open+0x1c/0x1e
Feb 24 05:00:59 passaun kernel:  [<c0405134>] syscall_call+0x7/0xb
Feb 24 05:00:59 passaun kernel:  =======================
Feb 24 05:00:59 passaun kernel: Adding 2104472k swap on /dev/sda1.  Priority:-1
extents:1 across:21044
72k
Feb 24 05:00:59 passaun kernel: NET: Registered protocol family 10
Feb 24 05:00:59 passaun kernel: lo: Disabled Privacy Extensions
Feb 24 05:00:59 passaun kernel: Mobile IPv6
Feb 24 05:00:59 passaun kernel: ip6_tables: (C) 2000-2006 Netfilter Core Team
Feb 24 05:00:59 passaun kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
Feb 24 05:00:59 passaun kernel: Netfilter messages via NETLINK v0.30.
Feb 24 05:00:59 passaun kernel: nf_conntrack version 0.5.0 (7165 buckets, 57320 max)
Feb 24 05:00:59 passaun kernel: process `sysctl' is using deprecated sysctl
(syscall) net.ipv6.neigh.d
efault.retrans_time; Use net.ipv6.neigh.default.retrans_time_ms instead.
Feb 24 05:00:59 passaun kernel: Clocksource tsc unstable (delta = -191142222 ns)
Feb 24 05:00:59 passaun kernel: audit(1172289645.825:2): audit_pid=1954 old=0 by
auid=4294967295
Feb 24 05:00:59 passaun kernel: Bluetooth: Core ver 2.11
Feb 24 05:00:59 passaun kernel: NET: Registered protocol family 31
Feb 24 05:00:59 passaun kernel: Bluetooth: HCI device and connection manager
initialized
Feb 24 05:00:59 passaun kernel: Bluetooth: HCI socket layer initialized
Feb 24 05:01:00 passaun kernel: Bluetooth: L2CAP ver 2.8
Feb 24 05:01:00 passaun kernel: Bluetooth: L2CAP socket layer initialized
Feb 24 05:01:00 passaun kernel: Bluetooth: RFCOMM socket layer initialized
Feb 24 05:01:00 passaun kernel: Bluetooth: RFCOMM TTY layer initialized
Feb 24 05:01:00 passaun kernel: Bluetooth: RFCOMM ver 1.8
Feb 24 05:01:00 passaun kernel: Bluetooth: HIDP (Human Interface Emulation) ver 1.1
Feb 24 05:01:04 passaun avahi-daemon[2640]: Found user 'avahi' (UID 70) and
group 'avahi' (GID 70).

Comment 1 Valentin Guggiana 2007-05-09 13:02:31 UTC
found as well using xfs in Fedora 7 test 4:

[ INFO: possible recursive locking detected ]
2.6.20-1.3104.fc7 #1
---------------------------------------------
mount/1232 is trying to acquire lock:
 (&(&ip->i_lock)->mr_lock){----}, at: [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]

but task is already holding lock:
 (&(&ip->i_lock)->mr_lock){----}, at: [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]

other info that might help us debug this:
2 locks held by mount/1232:
 #0:  (&inode->i_mutex){--..}, at: [<c0614f62>] mutex_lock+0x21/0x24
 #1:  (&(&ip->i_lock)->mr_lock){----}, at: [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]

stack backtrace:
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c04420a1>] __lock_acquire+0x11f/0xba4
 [<c0442f18>] lock_acquire+0x56/0x6f
 [<c043b723>] down_write+0x3f/0x59
 [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]
 [<f097e8a5>] xfs_iget_core+0x294/0x5d6 [xfs]
 [<f097ec7b>] xfs_iget+0x94/0x119 [xfs]
 [<f0995a56>] xfs_trans_iget+0xd6/0x134 [xfs]
 [<f0982458>] xfs_ialloc+0xa7/0x41f [xfs]
 [<f09963f6>] xfs_dir_ialloc+0x6d/0x25f [xfs]
 [<f099be6c>] xfs_create+0x2f7/0x5ad [xfs]
 [<f09a5c2c>] xfs_vn_mknod+0x18e/0x2b4 [xfs]
 [<f09a5d7b>] xfs_vn_create+0x12/0x14 [xfs]
 [<c04851dc>] vfs_create+0xcd/0x13e
 [<c0487b3b>] open_namei+0x170/0x5af
 [<c047d04b>] do_filp_open+0x26/0x3b
 [<c047d0a3>] do_sys_open+0x43/0xc2
 [<c047d15a>] sys_open+0x1c/0x1e
 [<c0405078>] syscall_call+0x7/0xb


Comment 2 Valentin Guggiana 2007-05-09 13:03:45 UTC
found as well using xfs in Fedora 7 test 4 (dmesg):

[ INFO: possible recursive locking detected ]
2.6.20-1.3104.fc7 #1
---------------------------------------------
mount/1232 is trying to acquire lock:
 (&(&ip->i_lock)->mr_lock){----}, at: [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]

but task is already holding lock:
 (&(&ip->i_lock)->mr_lock){----}, at: [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]

other info that might help us debug this:
2 locks held by mount/1232:
 #0:  (&inode->i_mutex){--..}, at: [<c0614f62>] mutex_lock+0x21/0x24
 #1:  (&(&ip->i_lock)->mr_lock){----}, at: [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]

stack backtrace:
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c04420a1>] __lock_acquire+0x11f/0xba4
 [<c0442f18>] lock_acquire+0x56/0x6f
 [<c043b723>] down_write+0x3f/0x59
 [<f097dfc1>] xfs_ilock+0x4a/0x68 [xfs]
 [<f097e8a5>] xfs_iget_core+0x294/0x5d6 [xfs]
 [<f097ec7b>] xfs_iget+0x94/0x119 [xfs]
 [<f0995a56>] xfs_trans_iget+0xd6/0x134 [xfs]
 [<f0982458>] xfs_ialloc+0xa7/0x41f [xfs]
 [<f09963f6>] xfs_dir_ialloc+0x6d/0x25f [xfs]
 [<f099be6c>] xfs_create+0x2f7/0x5ad [xfs]
 [<f09a5c2c>] xfs_vn_mknod+0x18e/0x2b4 [xfs]
 [<f09a5d7b>] xfs_vn_create+0x12/0x14 [xfs]
 [<c04851dc>] vfs_create+0xcd/0x13e
 [<c0487b3b>] open_namei+0x170/0x5af
 [<c047d04b>] do_filp_open+0x26/0x3b
 [<c047d0a3>] do_sys_open+0x43/0xc2
 [<c047d15a>] sys_open+0x1c/0x1e
 [<c0405078>] syscall_call+0x7/0xb


Comment 3 Dave Jones 2007-05-16 22:04:04 UTC
the good news is that this is a false positive.
upstream xfs developers are aware of it, and are planning on fixing it for 2.6.22
I'll pick it up for Fedora once it lands there.

Comment 4 Eric Sandeen 2007-05-31 16:23:27 UTC
Yep xfs guys have a fix for most of these:

http://oss.sgi.com/archives/xfs/2007-04/msg00177.html

I don't see it in linus' tree yet though - it will get there eventually.


Note You need to log in before you can comment on or make changes to this bug.